#pragma once
#include "afxwin.h"
#include "explorer1.h"


// CManualSubmissionDlg dialog

class CManualSubmissionDlg : public CDialog
{
	DECLARE_DYNAMIC(CManualSubmissionDlg)

public:
	CManualSubmissionDlg(CWnd* pParent = NULL);   // standard constructor
	virtual ~CManualSubmissionDlg();

// Dialog Data
	enum { IDD = IDD_MANUALSUBMIT_DLG };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	DECLARE_MESSAGE_MAP()
public:
	CManualSite* mCurSite;

	CComboBox mSiteCombo;
	afx_msg void OnSize(UINT nType, int cx, int cy);
	virtual BOOL OnInitDialog();

	int mSizeInited;
	CExplorer1 mBrowser;
	CStatic mChooseSiteStatic;
	afx_msg void OnCbnSelchangeSitecombo();
	CButton mFillButton;
	afx_msg void OnBnClickedFill();
	CButton mAddSiteButton;
	afx_msg void OnBnClickedAddsite();
};
